package routines;

public class CustomDB {
	

    /**
     * getODSCommitInterval: retounr le commit interval pour l'ODS
     * 
     * 
     * {talendTypes} int
     * 
     * {Category} CustomDB
     * 
     * {param} Integer(context.CTX_ORA_ODS_CommitInterval) input: commit interval du contexte
     * 
     * {example} getODSCommitInterval(50000) # 50000.
     */
    public static int getODSCommitInterval(Integer commitInterval) {
    	int rtCommitInterval = (commitInterval == null) ? 10000 : commitInterval;
        return rtCommitInterval;
    }
    
    /**
     * getDWHCommitInterval: retounr le commit interval pour le DWH
     * 
     * 
     * {talendTypes} int
     * 
     * {Category} CustomDB
     * 
     * {param} Integer(context.CTX_ORA_DWH_CommitInterval) input: commit interval du contexte
     * 
     * {example} getDWHCommitInterval(50000) # 50000.
     */
    public static int getCRMCommitInterval(Integer commitInterval) {
    	int rtCommitInterval = (commitInterval == null) ? 10000 : commitInterval;
        return rtCommitInterval;
    }
    
    /**
     * getDSACommitInterval: retounr le commit interval pour le DSA
     * 
     * 
     * {talendTypes} int
     * 
     * {Category} CustomDB
     * 
     * {param} Integer(context.CTX_ORA_DSA_CommitInterval) input: commit interval du contexte
     * 
     * {example} getDSACommitInterval(50000) # 50000.
     */
    public static int getDSACommitInterval(Integer commitInterval) {
    	int rtCommitInterval = (commitInterval == null) ? 10000 : commitInterval;
        return rtCommitInterval;
    }
    
    /**
     * getSRCCursorSize: retourne la taille du curseur pour les éléments de type Source
     * 
     * 
     * {talendTypes} int
     * 
     * {Category} CustomDB
     * 
     * {param} Integer(context.CTX_PRM_SRCCursorSize) input: Taille du curseur
     * 
     * {example} getSRCCursorSize(10000) # 10000.
     */
    public static int getSRCCursorSize(Integer cursorSize) {
    	int rtCursorSize = (cursorSize == null) ? 10000 : cursorSize;
        return rtCursorSize;
    }
    
    /**
     * getLKPCursorSize: retourne la taille du curseur pour les éléments de type Lookup
     * 
     * 
     * {talendTypes} int
     * 
     * {Category} CustomDB
     * 
     * {param} Integer(context.CTX_PRM_LKPCursorSize) input: Taille du curseur
     * 
     * {example} getLKPCursorSize(20000) # 20000.
     */
    public static int getLKPCursorSize(Integer cursorSize) {
    	int rtCursorSize = (cursorSize == null) ? 20000 : cursorSize;
        return rtCursorSize;
    }
}
